MEMCP(1)

NAME
memcp - libmemcached Documentation

SYNOPSIS

memcp [options] --servers <hostname[:port]...> <file...>

Copy files to a collection of memcached servers.

DESCRIPTION

memcp copies one or more files into memcached(1) servers. It is similar to the standard UNIX cp(1) command.

The key names will be the names of the files, without any directory path.

OPTIONS

    -h|--help
        Display help.

    -V|--version
        Display version.

    -q|--quiet
        Operate quietly.

    -v|--verbose
        Operate more verbosely.

    -d|--debug
        See -v|--verbose.

    -e|--expire <expiration>
        Use expiration seconds (or a UNIX timestamp).

    -H|--hash <algorithm>
        Use algorithm as key hash algo. See memcached_behavior_t::MEMCACHED_BEHAVIOR_HASH.

    -s|--servers <list of servers>
        Specify the list of servers as hostname[:port][,hostname[:port]...].

    -n|--non-blocking
        Enable non-blocking operations.

    -N|--tcp-nodelay
        Disable Nagle's algorithm.

    -b|--binary
        Enable binary protocol.

    -B|--buffer
        Buffer requests.

    -u|--username <username>
        Use username for SASL authentication.

    -p|--password <password>
        Use password for SASL authentication.

    -F|--flags <number>
        Use number as key's flags.

    -U|--udp
        Enable UDP operation mode.

    -S|--set
        Issue SET command(s). This is the default mode. See also -A|--add and -R|--replace.

    -A|--add
        Issue ADD command(s).

    -R|--replace
        Issue REPLACE command(s).

    -.|--basename
        Use basename of path as key (default).

    -+|--relative
        Use relative path (as passed), instead of basename only.

    -/|--absolute
        Use absolute path (real path), instead of basename only.

ENVIRONMENT

    MEMCACHED_SERVERS
        Specify a list of servers.

NOTES

  PROGRAM PREFIX

The prefix of this program is variable, i.e. it can be configured at build time.

Usually the client programs of libmemcached-awesome are prefixed with mem, like memcat or memcp.

It can be configured, though, to replace the prefix with something else like mc, in case of that, the client programs of libmemcached-awesome would be called mccat, mccp, etc. respectively.

SEE ALSO

memcached(1) libmemcached(3) memcached_behavior(3)